%define release 12
%define version 1.0

Name: smeserver-wireguard		
Version: %{version}	
Release: %{release}%{?dist}
Summary: wireguard SME Server configuration package	

Group:	VPN	
License: GPL	
URL: https://wiki.koozali.org/Wireguard		
Source0: smeserver-wireguard-1.0.tgz	
Patch0: smeserver-wireguard-1.0-bz11721-init.patch
Patch1: smeserver-wireguard-1.0-Fix-allowedips-in-quick-conf-contents.patch

BuildRequires:	e-smith-devtools
Requires: wireguard-tools
Requires: kmod-wireguard
Requires: smeserver-release >= 10	
Requires: qrencode
Requires: perl-Net-Netmask
Requires: e-smith-base >= 5.8.1-2
Requires: e-smith-lib >= 2.6.0-15

%description
WireGuard is a novel VPN that runs inside the Linux Kernel and uses
state-of-the-art cryptography (the "Noise" protocol). It aims to be
faster, simpler, leaner, and more useful than IPSec, while avoiding
the massive headache. It intends to be considerably more performant
than OpenVPN. WireGuard is designed as a general purpose VPN for
running on embedded interfaces and super computers alike, fit for
many different circumstances. It runs over UDP.
This package provides the Koozali SME SERVER configuration for controlling WireGuard.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
perl createlink


%install
rm -rf %{buildroot}
(cd root; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} \
 --ignoredir "/etc/wireguard" \
 > %{name}-%{version}-filelist

cat %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
#%doc COPYING





%changelog
* Tue Nov 16 2021 Brian Read <brianr@bjsystems.co.uk> 1.0-12.sme
- Fix-allowedips-in-quick-conf-contents [SME: 11756]

* Wed Nov 03 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-11.sme
- fix tainted string from dns query [SME: 11721]

* Wed Nov 03 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-10.sme
- fix wrong delete event [SME: 11721]
  fix ip not shown if server only
  improved config display

* Mon Nov 01 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-9.sme
- fix  migrate fragment [SME: 11721]

* Sun Oct 31 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-8.sme
- set DNS if allowedips 0.0.0.0/0 [SME: 11721]
  allowedips displayed as it has been set.

* Wed Oct 27 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-7.sme
- fix wrong ip [SME: 11721]
- updated templates fragments
- fix panel link ; fix private/public key creation; fix preset path
- requires e-smith-base >= 5.8.1-2

* Tue Oct 26 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-1.sme
- first release for Koozali SME Server


